> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Brand Perception Raw Pros And Cons

> Retrieves the list of all brand pros and cons. Required permission: `read:analysis`.



## OpenAPI

````yaml https://openapi.shareofmodel.ai/swagger.json get /v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_perception/raw_pros_and_cons
openapi: 3.0.3
info:
  title: Share Of Model API
  version: v1
  description: >-
    ## Model Context Protocol (MCP)


    In addition to this REST API, Share of Model exposes a **Model Context
    Protocol** server that lets AI assistants (Claude Desktop, Claude Code, MCP
    Inspector, custom agents…) call our endpoints directly as tools. Any
    MCP-compatible client can interact with Share of Model without writing
    custom integration code — connect once with your usual login and start
    asking the assistant to query the data for you.


    ### Connecting from Claude Desktop


    Open **Settings → Connectors**, scroll to the bottom and click **Add custom
    connector**, then paste `https://mcp.shareofmodel.ai/mcp/`. A browser window
    opens for you to log in with your Share of Model account (same login as the
    web app), and the assistant gains access to the tools.


    ### Connecting from Claude Code


    ```bash

    claude mcp add --transport http share-of-model
    https://mcp.shareofmodel.ai/mcp/

    ```


    The first time you call a tool, Claude Code opens your browser to complete
    the login.


    ### Connecting from MCP Inspector


    ```bash

    npx @modelcontextprotocol/inspector

    ```


    In the Inspector UI, pick **Streamable HTTP** as transport, paste
    `https://mcp.shareofmodel.ai/mcp/`, and click **Connect**. The first
    connection prompts you to log in.


    ### Available tools


    Only endpoints tagged `mcp` in this OpenAPI spec are exposed as MCP tools,
    and only read-only (`GET`) routes are exposed. Everything tagged `mcp` below
    is callable from any compliant MCP client.


    ### Example prompts


    Once connected, try asking your assistant things like:


    - _"List the workspaces I have access to."_

    - _"Show me the latest searches in workspace X."_

    - _"Compare the share of model between brand A and brand B over the last 30
    days."_


    For more details on the protocol itself, see the [Model Context Protocol
    specification](https://modelcontextprotocol.io/).
servers:
  - description: Production API
    url: https://api.shareofmodel.ai/
  - description: Development API
    url: https://api.dev.shareofmodel.ai/
security: []
tags:
  - name: Auth
    description: Endpoints needed for API authentication.
  - name: Organizations
    description: Endpoints related to organizations, to list all available organizations.
  - name: Workspaces
    description: Endpoints related to workspaces, to list all available workspaces.
  - name: Analyses
    description: Endpoints related to analyses and analyses management.
  - name: Asset Evaluations
    description: Endpoints related to assets and asset evaluations.
  - name: Brand Catalog
    description: Endpoints related to general brand information.
  - name: Content Briefs
    description: Endpoints related to content briefs generation and optimisation.
  - name: Metrics
    description: >+
      Endpoints related to brand metrics.


      **LEXICON**



      **Brand Awareness**: What opinion the LLMs have concerning specific
      brands, related to certain categories.



      **Brand Perception**: The general sentiment of the LLMs towards a brand,

      based on the pros and cons they mention.

paths:
  /v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_perception/raw_pros_and_cons:
    get:
      tags:
        - Metrics
      summary: Brand Perception Raw Pros And Cons
      description: >-
        Retrieves the list of all brand pros and cons. Required permission:
        `read:analysis`.
      operationId: brand_pros_and_cons
      parameters:
        - in: path
          name: analysis_id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying the analysis.
          required: true
        - in: query
          name: brand
          schema:
            type: string
          description: Filter by one specific brand.
        - in: query
          name: is_pro
          schema:
            type: boolean
          description: A boolean to filter on pro or con.
        - in: path
          name: organization_id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying the organization.
          required: true
        - in: path
          name: workspace_id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying the workspace.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BrandProsAndCons'
          description: ''
      security:
        - Bearer: []
components:
  schemas:
    BrandProsAndCons:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        workspace_id:
          type: string
          format: uuid
        analysis_id:
          type: string
          format: uuid
        response_id:
          type: string
          format: uuid
        source:
          enum:
            - gpt-3.5-turbo
            - gpt-4-turbo
            - gpt-4o
            - gpt-4o-mini-search
            - gpt-5
            - gpt-5.2
            - gpt-5.4-mini
            - gemini-1.5-pro
            - gemini-2.0-flash
            - gemini-2.5-flash-grounded
            - gemini-2.5-flash
            - gemini-2.5-flash-lite
            - gemini-3-flash-preview
            - meta-llama-3.1-70B-instruct-turbo
            - meta-llama-3.2-70B-instruct-turbo
            - meta-llama-3.3-70B-instruct-turbo
            - meta-llama-4-maverick
            - mistral-7B-instruct
            - claude-3-5-sonnet
            - claude-4-sonnet
            - claude-4-5-sonnet
            - claude-4-6-sonnet
            - deepseek-chat
            - deepseek-reasoner
            - deepseek-v3.2-maas
            - perplexity-sonar
            - rufus
            - google-ai-mode
          type: string
          description: >-
            * `gpt-3.5-turbo` - gpt 3.5 turbo

            * `gpt-4-turbo` - gpt 4 turbo

            * `gpt-4o` - gpt 4o

            * `gpt-4o-mini-search` - gpt 4o mini search

            * `gpt-5` - gpt 5

            * `gpt-5.2` - gpt 5.2

            * `gpt-5.4-mini` - gpt 5.4 mini

            * `gemini-1.5-pro` - gemini 1.5 pro

            * `gemini-2.0-flash` - gemini 2.0 flash

            * `gemini-2.5-flash-grounded` - gemini 2.5 flash grounded

            * `gemini-2.5-flash` - gemini 2.5 flash

            * `gemini-2.5-flash-lite` - gemini 2.5 flash lite

            * `gemini-3-flash-preview` - gemini 3 flash preview

            * `meta-llama-3.1-70B-instruct-turbo` - meta llama 3.1 70B instruct
            turbo

            * `meta-llama-3.2-70B-instruct-turbo` - meta llama 3.2 70B instruct
            turbo

            * `meta-llama-3.3-70B-instruct-turbo` - meta llama 3.3 70B instruct
            turbo

            * `meta-llama-4-maverick` - meta llama 4 maverick

            * `mistral-7B-instruct` - mistral 7B instruct

            * `claude-3-5-sonnet` - claude 3 5 sonnet

            * `claude-4-sonnet` - claude 4 sonnet

            * `claude-4-5-sonnet` - claude 4 5 sonnet

            * `claude-4-6-sonnet` - claude 4 6 sonnet

            * `deepseek-chat` - deepseek chat

            * `deepseek-reasoner` - deepseek reasoner

            * `deepseek-v3.2-maas` - deepseek v3.2 maas

            * `perplexity-sonar` - perplexity sonar

            * `rufus` - rufus

            * `google-ai-mode` - google ai mode
          x-spec-enum-id: 31229724ccbe9afa
        brand:
          type: string
        competitor:
          type: string
        attribute:
          type: string
        is_pro:
          type: boolean
        country:
          type: string
          nullable: true
        persona:
          type: string
          nullable: true
        collection_date:
          type: string
          format: date
      required:
        - analysis_id
        - attribute
        - brand
        - collection_date
        - competitor
        - id
        - is_pro
        - response_id
        - source
        - workspace_id
  securitySchemes:
    Bearer:
      type: apiKey
      in: header
      name: Authorization

````